:fdevice
    %error% 请不要连接多个设备，包括手机、网络ADB设备、安卓模拟器……
    echo.
    echo - 当前已连接设备如下
    set num=
    for /f "delims=" %%i in ('fastboot devices') do set num=%%i
    if not defined num ( 
        echo - ！未成功连接到设备，开始等待3秒后重新检测
        timeout /T 3 /NOBREAK
        cls
        goto fdevice
    )
    echo - !num!
    pause
